com.mxgraph.swing.handler

## Class mxSelectionCellsHandler

- java.lang.Object
- - com.mxgraph.swing.handler.mxSelectionCellsHandler

- All Implemented Interfaces:
    java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.util.EventListener

      public class mxSelectionCellsHandler
      extends java.lang.Object
      implements java.awt.event.MouseListener, java.awt.event.MouseMotionListener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.awt.Rectangle` | `bounds` Reference to the enclosing graph component.
    `static int` | `DEFAULT_MAX_HANDLERS` Defines the default value for maxHandlers.
    `protected boolean` | `enabled` Specifies if this handler is enabled.
    `protected mxGraphComponent` | `graphComponent` Reference to the enclosing graph component.
    `protected java.util.LinkedHashMap<java.lang.Object,mxCellHandler>` | `handlers` Maps from cells to handlers in the order of the selection cells.
    `protected java.beans.PropertyChangeListener` | `labelMoveHandler`
    `protected int` | `maxHandlers` Defines the maximum number of handlers to paint individually.
    `protected mxEventSource.mxIEventListener` | `refreshHandler`
    `protected boolean` | `visible` Specifies if this handler is visible.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `mxSelectionCellsHandler(mxGraphComponent graphComponent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addGraphListeners(mxGraph graph)` Installs the listeners to update the handles after any changes.
    `mxGraphComponent` | `getGraphComponent()`
    `mxCellHandler` | `getHandler(java.lang.Object cell)`
    `int` | `getMaxHandlers()`
    `java.lang.String` | `getToolTipText(java.awt.event.MouseEvent e)` Redirects the tooltip handling of the JComponent to the graph component, which in turn may use getHandleToolTipText in this class to find a tooltip associated with a handle.
    `boolean` | `isEnabled()`
    `boolean` | `isVisible()`
    `void` | `mouseClicked(java.awt.event.MouseEvent arg0)`
    `void` | `mouseDragged(java.awt.event.MouseEvent e)`
    `void` | `mouseEntered(java.awt.event.MouseEvent arg0)`
    `void` | `mouseExited(java.awt.event.MouseEvent arg0)`
    `void` | `mouseMoved(java.awt.event.MouseEvent e)`
    `void` | `mousePressed(java.awt.event.MouseEvent e)` Dispatches the mousepressed event to the subhandles.
    `void` | `mouseReleased(java.awt.event.MouseEvent e)`
    `void` | `paintHandles(java.awt.Graphics g)`
    `void` | `refresh()`
    `protected void` | `removeGraphListeners(mxGraph graph)` Removes all installed listeners.
    `void` | `reset()`
    `void` | `setEnabled(boolean value)`
    `void` | `setMaxHandlers(int value)`
    `void` | `setVisible(boolean value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_MAX_HANDLERS

          public static int DEFAULT_MAX_HANDLERS

      Defines the default value for maxHandlers. Default is 100.

    - #### graphComponent

          protected mxGraphComponent graphComponent

      Reference to the enclosing graph component.

    - #### enabled

          protected boolean enabled

      Specifies if this handler is enabled.

    - #### visible

          protected boolean visible

      Specifies if this handler is visible.

    - #### bounds

          protected java.awt.Rectangle bounds

      Reference to the enclosing graph component.

    - #### maxHandlers

          protected int maxHandlers

      Defines the maximum number of handlers to paint individually. Default is DEFAULT_MAX_HANDLES.

    - #### handlers

          protected transient java.util.LinkedHashMap<java.lang.Object,mxCellHandler> handlers

      Maps from cells to handlers in the order of the selection cells.

    - #### refreshHandler

          protected transient mxEventSource.mxIEventListener refreshHandler

    - #### labelMoveHandler

          protected transient java.beans.PropertyChangeListener labelMoveHandler

  - ### Constructor Detail

    - #### mxSelectionCellsHandler

          public mxSelectionCellsHandler(mxGraphComponent graphComponent)

      Parameters:
        `graphComponent` -

  - ### Method Detail

    - #### addGraphListeners

          protected void addGraphListeners(mxGraph graph)

      Installs the listeners to update the handles after any changes.

    - #### removeGraphListeners

          protected void removeGraphListeners(mxGraph graph)

      Removes all installed listeners.

    - #### getGraphComponent

          public mxGraphComponent getGraphComponent()

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled(boolean value)

    - #### isVisible

          public boolean isVisible()

    - #### setVisible

          public void setVisible(boolean value)

    - #### getMaxHandlers

          public int getMaxHandlers()

    - #### setMaxHandlers

          public void setMaxHandlers(int value)

    - #### getHandler

          public mxCellHandler getHandler(java.lang.Object cell)

    - #### mousePressed

          public void mousePressed(java.awt.event.MouseEvent e)

      Dispatches the mousepressed event to the subhandles. This is called from the connection handler as subhandles have precedence over the connection handler.
      Specified by:
        `mousePressed` in interface `java.awt.event.MouseListener`

    - #### mouseMoved

          public void mouseMoved(java.awt.event.MouseEvent e)

      Specified by:
        `mouseMoved` in interface `java.awt.event.MouseMotionListener`

    - #### mouseDragged

          public void mouseDragged(java.awt.event.MouseEvent e)

      Specified by:
        `mouseDragged` in interface `java.awt.event.MouseMotionListener`

    - #### mouseReleased

          public void mouseReleased(java.awt.event.MouseEvent e)

      Specified by:
        `mouseReleased` in interface `java.awt.event.MouseListener`

    - #### getToolTipText

          public java.lang.String getToolTipText(java.awt.event.MouseEvent e)

      Redirects the tooltip handling of the JComponent to the graph component, which in turn may use getHandleToolTipText in this class to find a tooltip associated with a handle.

    - #### reset

          public void reset()

    - #### refresh

          public void refresh()

    - #### paintHandles

          public void paintHandles(java.awt.Graphics g)

    - #### mouseClicked

          public void mouseClicked(java.awt.event.MouseEvent arg0)

      Specified by:
        `mouseClicked` in interface `java.awt.event.MouseListener`

    - #### mouseEntered

          public void mouseEntered(java.awt.event.MouseEvent arg0)

      Specified by:
        `mouseEntered` in interface `java.awt.event.MouseListener`

    - #### mouseExited

          public void mouseExited(java.awt.event.MouseEvent arg0)

      Specified by:
        `mouseExited` in interface `java.awt.event.MouseListener`

Copyright (c) 2010 Gaudenz Alder. All rights reserved.